Last Comment Bug 786358 - Port bug 773641 to Thunderbird's WebSearch.
: Port bug 773641 to Thunderbird's WebSearch.
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Search (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: 773641
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 10:48 PDT by Blake Winton (:bwinton) (:☕️)
Modified: 2012-09-27 02:26 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (5.47 KB, patch)
2012-08-28 13:03 PDT, Richard Marti (:Paenglab)
bwinton: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Blake Winton (:bwinton) (:☕️) 2012-08-28 10:48:36 PDT
Or just use the icon that's landing in central, if we can do that.
Comment 1 Richard Marti (:Paenglab) 2012-08-28 13:03:25 PDT
Created attachment 656173 [details] [diff] [review]
patch

Using the Twitter icon we have already for chat.
Comment 2 Blake Winton (:bwinton) (:☕️) 2012-08-28 13:33:28 PDT
Comment on attachment 656173 [details] [diff] [review]
patch

I'm going to be annoyed if mozilla-central ends up with a different icon, but for now, r=me.  ;)

(Also, what do you think about base64-ing the other search icons?)
Comment 3 Blake Winton (:bwinton) (:☕️) 2012-08-28 14:02:24 PDT
As a note, please don't land this until we have the final permission to use these icons in the dependent bug…

Thanks,
Blake.
Comment 4 Richard Marti (:Paenglab) 2012-08-28 14:06:39 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #2)
> Comment on attachment 656173 [details] [diff] [review]
> patch
> 
> I'm going to be annoyed if mozilla-central ends up with a different icon,
> but for now, r=me.  ;)

M-c has now also a patch and is using the same icon. The only difference is, I optimized the PNG image to be smaller.

> (Also, what do you think about base64-ing the other search icons?)

All other icons except the AOL icon are also base64 encoded. I don't know how to convert this to base64 (I can't create a png of it). But I also see, http://search.aol.com/aol/search uses now a other icon. Should I use this?
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-08-29 15:16:29 PDT
Nah, let's leave it the way it is.
Comment 6 Richard Marti (:Paenglab) 2012-08-30 07:19:22 PDT
The related bug landed. Is it okay land this too?
Comment 7 Blake Winton (:bwinton) (:☕️) 2012-08-30 10:39:20 PDT
Yep.
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-08-31 03:30:49 PDT
https://hg.mozilla.org/comm-central/rev/d66004eb6054
Comment 9 Richard Marti (:Paenglab) 2012-09-01 00:36:16 PDT
Comment on attachment 656173 [details] [diff] [review]
patch

[Approval Request Comment]
As it's not clear if and when TB 18 and ff. will be released as a normal version, it would be good if this new icon can land on TB 17 and TB 17 ESR.
Comment 10 Lukas Blakk [:lsblakk] use ?needinfo 2012-09-04 16:42:33 PDT
Comment on attachment 656173 [details] [diff] [review]
patch

I think you mean to ask for comm-aurora approval here, changing the flags.
Comment 11 Mark Banner (:standard8) 2012-09-27 02:26:47 PDT
Checked in: https://hg.mozilla.org/releases/comm-aurora/rev/ff17ebcb7403

Note You need to log in before you can comment on or make changes to this bug.